D4Science Infrastructure - Task #4826

Create load balancing for data.d4science.org
Jul 29, 2016 12:51 PM - Francesco Mangiacrapa

Status: Closed Start date: Jul 29, 2016
Priority: Normal Due date:
Assignee: Andrea Dell'’Amico % Done: 100%
Category: Other Estimated time: 0.00 hour
Target version: D4Science Infrastructure Upgrade to

gCube 4.3.0
Infrastructure: Production
Description

In order to avoid the single point of failure for data.d4science.org | suggest to create a load balancing (with at least two machine) for
it.

History

#1 - Jul 29, 2016 01:06 PM - Andrea Dell'Amico

- Tracker changed from Support to Task
As we said, there's no problem as long as the webapps have no state.

We can use the same VM that is acting as load balancer for the dataminers and deploy another instance of it to have HA for the load balancers too.

The aspect that we need to manage carefully is the hostname switching (data.d4science.org must pass from the actual VM to the load balancer), but
it can be handled without downtime. In this way:

1. leave the VM data.d4science.org as is

2. create data2-d4s.d4science.org, configured in the same way data.d4science.org is

3. activate the configuration on the load balancer, making it pointing to data2-d4s.d4science.org only

4.find a way to check that the connections through the load balancer are working correctly (in particular we need to not lose the ACLs that protect
/geonetwork)

5. move the hostname data.d4science.org to the Ib IP

6. rename the old data.d4science.org as data1-d4s.d4science.org

7. Add data1-d4s.d4science.org to the load balancer backends pool

A question: when the load balancer will be in action, will there still need to have data[1:2]-d4s.d4science.org directly accessible?

#2 - Jul 29, 2016 02:13 PM - Pasquale Pagano
No, | don't think so.

#3 - Dec 21, 2016 04:50 PM - Andrea Dell'Amico
hostname and IP are going to be data2-d4s.d4science.org 146.48.122.145

#4 - Dec 21, 2016 04:51 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#5 - Dec 21, 2016 05:33 PM - Andrea Dell'Amico
- % Done changed from 0 to 30

The VM provisioning is in progress.

#6 - Dec 21, 2016 05:48 PM - Andrea Dell'Amico
- % Done changed from 30 to 80

@francesco.mangiacrapa@isti.cnr.it the VM is ready. The tomcat applications need to be deployed, all the other configurations are complete.

#7 - Mar 22, 2017 10:03 AM - Roberto Cirillo

All the webapps have been deployed and tested on data2. Please deploy the new instance in production.
#8 - Mar 22, 2017 10:07 AM - Roberto Cirillo

- Target version changed from UnSprintable to D4Science Infrastructure Upgrade to gCube 4.3.0

#9 - Mar 22, 2017 11:07 AM - Andrea Dell'Amico

We still need to check against the load balancer to verify that the proxy does not break the apache ACLs. We can use a provisional hostname that will
be removed after the test. Can we use data-test.d4science.org ?

#10 - Mar 22, 2017 11:09 AM - Roberto Cirillo

It is ok for me

#11 - Mar 22, 2017 03:35 PM - Andrea Dell'Amico

Can you test again using data-lb.d4science.org as hostname?

#12 - Mar 22, 2017 04:42 PM - Roberto Cirillo

- Assignee changed from _InfraScience Systems Engineer to Francesco Mangiacrapa

The uri-resolver has been successfully tested: I've tested it with the old uri format and the new uri format without any problem.
I'm going to assign this ticket to @francesco.mangiacrapa@isti.cnr.it for further tests on other applications.

#13 - Mar 22, 2017 06:21 PM - Francesco Mangiacrapa

For testing:
e GisViewer links

http://data-Ib.d4science.org/gis-viewer-app/?rid=-7528820535332975203&wmsrequest=http%3A%2F %2Fgeoserver3.d4science.research-infrastructu

res.eu%2Fgeoserver¥%2Fwms%3Fservice%3Dwms%26version%3D1.1.0%26request%3DGetMap%26layers%3DIsoleableekeri20130412044859622
%2 1es%3D %2 X%3D-1 %2C-90%2C1 %2 %26Width%3D676%26height%3D %26srs%3DEP %3A4326%26¢rs%3DEP %

3A4326%26format%3Dapplication%2Fopenlayers&uuid=e859fbc0-a5e6-48a2-9a93-1d9453af5019

http://data-lb.d4science.org/gis-viewer-app/?rid=-2842411920152690477&wmsrequest=http%3A%2F %2Fwww.fao.org%2Ffigis%2Fgeoserver%2Fsp
ecies%2Fows%3FSERVICE%3DWMS%26layers%3DSPECIES_DIST_SOL&uuid=fao-species-map-sol

These ones working fine!
¢ Catalogue links

http://data-Ib.d4science.org/uri-resolver/ctlg/GRSF_Admin/45bee3c3-ecae-3627-981¢-65{791328b48

http://data-lb.d4science.org/uri-resolver/ctlg/GRSF_Admin/c9b6df93-2a4d-3ca0-931d-1e10d44e5c09

These ones working fine!

e Workspace-Explorer-App links:

It seems there is a problem to get the folder. | think that It could be either a problem of scope or key to encrypt/decrypt
I've not access to data-lb.d4science.org via ssh, Could you investigate on the issue regarding link above?

#14 - Mar 22, 2017 06:27 PM - Andrea Dell'Amico

Francesco Mangiacrapa wrote:

I've not access to data-lb.d4science.org via ssh, Could you investigate on the issue regarding link above?

obviously not, because it's the load balancer. The real server is data2-d4s.d4science.org.

#15 - Mar 22, 2017 06:31 PM - Francesco Mangiacrapa

Andrea Dell'’Amico wrote:
Francesco Mangiacrapa wrote:

I've not access to data-lb.d4science.org via ssh, Could you investigate on the issue regarding link above?

obviously not, because it's the load balancer. The real server is data2-d4s.d4science.org.
http://data-lb.d4science.org/gis-viewer-app/?rid=-7528820535332975203&wmsrequest=http%3A%2F%2Fgeoserver3.d4science.research-infrastructures.eu%2Fgeoserver%2Fwms%3Fservice%3Dwms%26version%3D1.1.0%26request%3DGetMap%26layers%3Dlsoleableekeri20130412044859622cest%26styles%3D%26bbox%3D-180%2C-90%2C180%2C90%26width%3D676%26height%3D330%26srs%3DEPSG%3A4326%26crs%3DEPSG%3A4326%26format%3Dapplication%2Fopenlayers&uuid=e859fbc0-a5e6-48a2-9a93-1d9453af5019
http://data-lb.d4science.org/gis-viewer-app/?rid=-7528820535332975203&wmsrequest=http%3A%2F%2Fgeoserver3.d4science.research-infrastructures.eu%2Fgeoserver%2Fwms%3Fservice%3Dwms%26version%3D1.1.0%26request%3DGetMap%26layers%3Dlsoleableekeri20130412044859622cest%26styles%3D%26bbox%3D-180%2C-90%2C180%2C90%26width%3D676%26height%3D330%26srs%3DEPSG%3A4326%26crs%3DEPSG%3A4326%26format%3Dapplication%2Fopenlayers&uuid=e859fbc0-a5e6-48a2-9a93-1d9453af5019
http://data-lb.d4science.org/gis-viewer-app/?rid=-7528820535332975203&wmsrequest=http%3A%2F%2Fgeoserver3.d4science.research-infrastructures.eu%2Fgeoserver%2Fwms%3Fservice%3Dwms%26version%3D1.1.0%26request%3DGetMap%26layers%3Dlsoleableekeri20130412044859622cest%26styles%3D%26bbox%3D-180%2C-90%2C180%2C90%26width%3D676%26height%3D330%26srs%3DEPSG%3A4326%26crs%3DEPSG%3A4326%26format%3Dapplication%2Fopenlayers&uuid=e859fbc0-a5e6-48a2-9a93-1d9453af5019
http://data-lb.d4science.org/gis-viewer-app/?rid=-7528820535332975203&wmsrequest=http%3A%2F%2Fgeoserver3.d4science.research-infrastructures.eu%2Fgeoserver%2Fwms%3Fservice%3Dwms%26version%3D1.1.0%26request%3DGetMap%26layers%3Dlsoleableekeri20130412044859622cest%26styles%3D%26bbox%3D-180%2C-90%2C180%2C90%26width%3D676%26height%3D330%26srs%3DEPSG%3A4326%26crs%3DEPSG%3A4326%26format%3Dapplication%2Fopenlayers&uuid=e859fbc0-a5e6-48a2-9a93-1d9453af5019
http://data-lb.d4science.org/gis-viewer-app/?rid=-2842411920152690477&wmsrequest=http%3A%2F%2Fwww.fao.org%2Ffigis%2Fgeoserver%2Fspecies%2Fows%3FSERVICE%3DWMS%26layers%3DSPECIES_DIST_SOL&uuid=fao-species-map-sol
http://data-lb.d4science.org/gis-viewer-app/?rid=-2842411920152690477&wmsrequest=http%3A%2F%2Fwww.fao.org%2Ffigis%2Fgeoserver%2Fspecies%2Fows%3FSERVICE%3DWMS%26layers%3DSPECIES_DIST_SOL&uuid=fao-species-map-sol
http://data-lb.d4science.org/uri-resolver/ctlg/GRSF_Admin/45bee3c3-ecae-3627-981c-65f791328b48
http://data-lb.d4science.org/uri-resolver/ctlg/GRSF_Admin/c9b6df93-2a4d-3ca0-931d-1e10d44e5c09
http://data-lb.d4science.org/workspace-explorer-app/?folderId=TE5lMVR6WXRqU2w4NzNwMDcxdDArYzg2RDVyYVJTMGVMd3ZTMVN2emJDb1lGbjBGVXY3eHl2alhpZVkwV2pMVw
http://data-lb.d4science.org/workspace-explorer-app/?folderId=TE5lMVR6WXRqU2w4NzNwMDcxdDArYzg2RDVyYVJTMGVMd3ZTMVN2emJDb1lGbjBGVXY3eHl2alhpZVkwV2pMVw

Yes Andrea, You right. We are investigating on data2-d4s.d4science.org

#16 - Mar 22, 2017 06:42 PM - Roberto Cirillo

Maybe it is a firewall issue on HomeLibrary-webapp (workspace-repository). Please Andrea could you check if "data2-d4s" is able to contact
workspace-repository?

#17 - Mar 22, 2017 06:48 PM - Andrea Dell'Amico
Roberto Cirillo wrote:
Maybe it is a firewall issue on HomeLibrary-webapp (workspace-repository). Please Andrea could you check if "data2-d4s" is able to contact

workspace-repository?

Yes, it does. All the data center network is able to communicate with the workspace repository.
#18 - Mar 23, 2017 10:49 AM - Francesco Mangiacrapa

Hi @valentina.marioli@isti.cnr.it,

We are testing load balancer on "data.d4science".. using a new server "data2-d4s.d4science.org"
It seems there is a problem with JCR and/or ACL

Checking data.d4science.org by clicking on foolder link following:

http://data.d4science.org/workspace-explorer-app/?folderld=TE5IMVR6WXRqU2w4NzNwMDcxdDArYzg2RDVyYYVJTMGVMd3ZTMVN2emJDb11GbjB
GVXY3eHI2alhpZVkwV2pMVw

These are the logs:

2017-03-23 10:35:01,408 [catalina-exec-69] INFO org.gcube.portlets.user.workspaceexplorerapp.server.WsUtil- s
cope read from httpsession is: null

2017-03-23 10:35:01,408 [catalina-exec-69] INFO org.gcube.portlets.user.workspaceexplorerapp.server.WsUtil- s
cope is null reading from context

2017-03-23 10:35:01,408 [catalina-exec-69] INFO org.gcube.portlets.user.workspaceexplorerapp.server.WsUtil- s
cope read from context is: /d4science.research-infrastructures.eu

2017-03-23 10:35:01,408 [catalina-exec—-69] INFO org.gcube.portlets.user.workspaceexplorerapp.server.Workspace
ExplorerAppServicelmpl- Trying to decode encoded folder Id: TES1IMVR6WXRqU2w4NzNwMDcxdDArYzg2RDVyYVJITMGVMdA3ZTMV
N2emJDb11GbjBGVXY3eH12alhpZVkwV2pMVw

2017-03-23 10:35:01,408 [catalina-exec-69] INFO org.gcube.portlets.user.workspaceexplorerapp.server.Workspace
ExplorerAppServicelmpl- Base 64 decoded folder Id: LNelTzYtjS1873p071t0+c86D5raRS0elLwvSlSvzbCoYFnOFUvT7xyvijXieY
OWjLW, now decrypting...

2017-03-23 10:35:01,408 [catalina-exec—-69] INFO org.gcube.portlets.user.workspaceexplorerapp.server.Workspace
ExplorerAppServicelImpl- Decrypted folder Id: 83d402ca-d32d-4791-bf92-9£6851188021

2017-03-23 10:35:01,501 [catalina-exec-69] INFO org.gcube.portlets.user.workspaceexplorerapp.server.WsUtil- s
cope read from httpsession is: /d4science.research-infrastructures.eu

2017-03-23 10:35:01,501 [catalina-exec-69] INFO org.gcube.portlets.user.workspaceexplorerapp.server.WsUtil- S
etting scope: /d4science.research-infrastructures.eu

2017-03-23 10:35:01,501 [catalina-exec—-69] INFO HomeManageFactory- getHomeManagerFactory

2017-03-23 10:35:01,505 [catalina-exec-70] INFO org.gcube.portlets.user.workspaceexplorerapp.server.WsUtil- s
cope read from httpsession is: /d4science.research-infrastructures.eu

2017-03-23 10:35:01,505 [catalina-exec-70] INFO org.gcube.portlets.user.workspaceexplorerapp.server.WsUtil- S
etting scope: /d4science.research-infrastructures.eu

2017-03-23 10:35:01,505 [catalina-exec-70] INFO HomeManageFactory- getHomeManagerFactory

2017-03-23 10:35:01,572 [catalina-exec—-70] ERROR org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace—- /Sha
re is not a workspaceltem

2017-03-23 10:35:01,650 [catalina-exec-69] INFO org.gcube.portlets.user.workspaceexplorerapp.server.Workspace
ExplorerAppServiceImpl- end time - 99 msc 0 sec

It works fine.
If | change only the hostname so using "data2-d4s.d4science.org", It does not work:

http://data-lb.d4science.org/workspace-explorer-app/?folderld=TE5IMVR6WXRqU2w4NzNwMDcxdDArYzg2RDVyYVJTMGVMd3ZTMVN2emJDb11G
bjBGVXY3eHI2alhpZVkwV2pMVw

These are the logs:

2017-03-23 10:45:14,706 [catalina-exec-8] INFO org.gcube.portlets.user.workspaceexplorerapp.server.WsUtil- sc
ope read from httpsession is: /d4science.research-infrastructures.eu

2017-03-23 10:45:14,706 [catalina-exec—-8] INFO org.gcube.portlets.user.workspaceexplorerapp.server.Workspacek
xplorerAppServiceImpl- Trying to decode encoded folder Id: TES1IMVR6WXRqU2w4NzNwMDcxdDArYzg2RDVyYVJITMGVMdA3ZTMVN
2emJDb1l1GbjBGVXY3eH1l2alhpZVkwV2pMVw

2017-03-23 10:45:14,706 [catalina-exec—-8] INFO org.gcube.portlets.user.workspaceexplorerapp.server.Workspacek
http://data.d4science.org/workspace-explorer-app/?folderId=TE5lMVR6WXRqU2w4NzNwMDcxdDArYzg2RDVyYVJTMGVMd3ZTMVN2emJDb1lGbjBGVXY3eHl2alhpZVkwV2pMVw
http://data.d4science.org/workspace-explorer-app/?folderId=TE5lMVR6WXRqU2w4NzNwMDcxdDArYzg2RDVyYVJTMGVMd3ZTMVN2emJDb1lGbjBGVXY3eHl2alhpZVkwV2pMVw
http://data-lb.d4science.org/workspace-explorer-app/?folderId=TE5lMVR6WXRqU2w4NzNwMDcxdDArYzg2RDVyYVJTMGVMd3ZTMVN2emJDb1lGbjBGVXY3eHl2alhpZVkwV2pMVw
http://data-lb.d4science.org/workspace-explorer-app/?folderId=TE5lMVR6WXRqU2w4NzNwMDcxdDArYzg2RDVyYVJTMGVMd3ZTMVN2emJDb1lGbjBGVXY3eHl2alhpZVkwV2pMVw

xplorerAppServicelmpl- Base 64 decoded folder Id: LNelTzYtjS1873p071t0+c86D5raRS0elwvS1lSvzbCoYFnOFUv7xyvijXieY0
WJjLW, now decrypting...
2017-03-23 10:45:14,706 [catalina-exec—-8] INFO org.gcube.portlets.user.workspaceexplorerapp.server.WorkspaceE
xplorerAppServicelmpl- Decrypted folder Id: 83d402ca-d32d-4791-bf92-9£6851188021
2017-03-23 10:45:14,835 [catalina-exec—-8] INFO org.gcube.portlets.user.workspaceexplorerapp.server.WsUtil- sc
ope read from httpsession is: /d4science.research-infrastructures.eu
2017-03-23 10:45:14,835 [catalina-exec-8] INFO org.gcube.portlets.user.workspaceexplorerapp.server.WsUtil- Se
tting scope: /d4science.research-infrastructures.eu
2017-03-23 10:45:14,835 [catalina-exec—-8] INFO HomeManageFactory- getHomeManagerFactory
2017-03-23 10:45:14,838 [catalina-exec-9] INFO org.gcube.portlets.user.workspaceexplorerapp.server.WsUtil- sc
ope read from httpsession is: /d4science.research-infrastructures.eu
2017-03-23 10:45:14,838 [catalina-exec—-9] INFO org.gcube.portlets.user.workspaceexplorerapp.server.WsUtil- Se
tting scope: /d4science.research-infrastructures.eu
2017-03-23 10:45:14,838 [catalina-exec-9] INFO HomeManageFactory- getHomeManagerFactory
2017-03-23 10:45:14,856 [catalina-exec—-8] ERROR org.gcube.portlets.user.workspaceexplorerapp.server.Workspacek
xplorerAppServicelmpl- Error during folder retrieving
java.lang.NullPointerException

at java.io.StringReader.<init> (StringReader.java:50)

at com.thoughtworks.xstream.XStream.fromXML (XStream. java:1076)

at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace.getWorkspaceltem (JCRWorkspace. java:1912)

at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace.getItem (JCRWorkspace.java:1419)

at org.gcube.portlets.user.workspaceexplorerapp.server.WorkspaceExplorerAppServiceImpl.getFolder (Workspace
ExplorerAppServiceImpl. java:107)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:606)

at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse (RPC. java:587)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall (RemoteServiceServlet.java:333)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall (RemoteServiceServlet.java:303)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost (RemoteServiceServlet.java:373)

at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost (AbstractRemoteServiceServlet. java:62

at javax.servlet.http.HttpServlet.service (HttpServlet.java:646)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:727)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter (ApplicationFilterChain.java:303)

at org.apache.catalina.core.ApplicationFilterChain.doFilter (ApplicationFilterChain. java:208)

at org.apache.catalina.core.StandardWrapperValve.invoke (StandardWrapperValve. java:220)

at org.apache.catalina.core.StandardContextValve.invoke (StandardContextValve.java:122)

at org.apache.catalina.authenticator.AuthenticatorBase.invoke (AuthenticatorBase.java:501)

at org.apache.catalina.core.StandardHostValve.invoke (StandardHostValve. java:170)

at org.apache.catalina.valves.ErrorReportValve.invoke (ErrorReportValve. java:98)

at org.apache.catalina.valves.AccessLogValve.invoke (AccessLogValve. java:950)

at org.apache.catalina.valves.RemoteIpValve.invoke (RemoteIpValve. java:683)

at org.apache.catalina.core.StandardEngineValve.invoke (StandardEngineValve. java:116)

at org.apache.catalina.connector.CoyoteAdapter.service (CoyoteAdapter. java:408)

at org.apache.coyote.httpll.AbstractHttpllProcessor.process (AbstractHttpllProcessor. java:1041)

at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process (AbstractProtocol.java:607)

at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run (JIoEndpoint.java:315)

at java.util.concurrent.ThreadPoolExecutor.runWorker (ThreadPoolExecutor. java:1145)

at java.util.concurrent.ThreadPoolExecutor$Worker.run (ThreadPoolExecutor.java:615)

at java.lang.Thread.run (Thread. java:745)
2017-03-23 10:45:14,856 [catalina-exec-9] ERROR org.gcube.portlets.user.workspaceexplorerapp.server.WorkspaceE
xplorerAppServiceImpl- Error in get List Parents By Item Identifier
java.lang.NullPointerException

at java.io.StringReader.<init> (StringReader. java:50)

at com.thoughtworks.xstream.XStream.fromXML (XStream. java:1076)

at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace.getWorkspaceltem (JCRWorkspace. java:1912)

at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace.getItem (JCRWorkspace.java:1419)

at org.gcube.portlets.user.workspaceexplorerapp.server.WorkspaceExplorerAppServiceImpl.getBreadcrumbsByIte
mIdentifierToParentLimit (WorkspaceExplorerAppServiceImpl. java:376)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:606)

at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse (RPC. java:587)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall (RemoteServiceServlet.java:333)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall (RemoteServiceServlet.java:303)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost (RemoteServiceServlet. java:373)

at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost (AbstractRemoteServiceServlet. java:62

at javax.servlet.http.HttpServlet.service (HttpServlet. java:646)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:727)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter (ApplicationFilterChain. java:303)
at org.apache.catalina.core.ApplicationFilterChain.doFilter (ApplicationFilterChain.java:208)
at org.apache.catalina.core.StandardWrapperValve.invoke (StandardWrapperValve. java:220)

at org.apache.catalina.core.StandardContextValve.invoke (StandardContextValve. java:122)

at org.apache.catalina.authenticator.AuthenticatorBase.invoke (AuthenticatorBase.java:501)

at org.apache.catalina.core.StandardHostValve.invoke (StandardHostValve. java:170)

at org.apache.catalina.valves.ErrorReportValve.invoke (ErrorReportValve. java:98)

at org.apache.catalina.valves.AccessLogValve.invoke (AccessLogValve. java:950)

at org.apache.catalina.valves.RemoteIpValve.invoke (RemoteIpValve. java:683)

at org.apache.catalina.core.StandardEngineValve.invoke (StandardEngineValve.java:116)

at org.apache.catalina.connector.CoyoteAdapter.service (CoyoteAdapter.java:408)

at org.apache.coyote.httpll.AbstractHttpllProcessor.process (AbstractHttpllProcessor. java:1041)
at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process (AbstractProtocol. java:607)
at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run (JIoEndpoint.java:313)

at java.util.concurrent.ThreadPoolExecutor.runWorker (ThreadPoolExecutor. java:1145)

at Jjava.util.concurrent.ThreadPoolExecutor$Worker.run (ThreadPoolExecutor. java:615)

at java.lang.Thread.run (Thread. java:745)

Can you check the problem, asap? Thx

#19 - Mar 23, 2017 08:56 PM - Andrea Dell'Amico

Was the problem fixed?
#20 - Mar 24, 2017 10:25 AM - Francesco Mangiacrapa
Andrea Dell'Amico wrote:
Was the problem fixed?
No. It was not. There is a misconfiguration among applications deployed on data and data2. data2.d4s is up to date to current staging, instead
data.d4s has released version gCube4.3
In detail, checking the libraries contained in "workspace-explorer-app/WEB-INF/lib/"
On data2-d4s there are:

gcube@data2-d4s:~$ ls tomcat/webapps/workspace-explorer—app/WEB-INF/1lib/

authorization-client-2.0.1-4.3.0-134803. jar commons-httpclient-3.1. jar httpclient-4.5.2.jar
oak-commons—-1.0.0. jar

common-authorization-2.0.2-4.3.0-144378. jar commons—-io-2.5.jar httpcore-4.4.4.jar oa

k-core-1.0.0.jar

common-configuration-scanner-1.0.0-4.3.0-144261.jar commons—-lang-2.6.jar httpmime-4.5.2.jar
oak-jcr-1.0.0.jar

common-encryption-1.0.3-4.3.0-142751.7jar commons—-logging-1.0.4.jar ic-client-1.0.3-4.3.0-142

544.jar oak-mk-api-1.0.0.Jjar

common—-gcore-resources—-1.3.3-4.3.0-144114. jar discovery-client-1.0.1-4.3.0-125857. jar imagej-1.47.3

ar slfd4j-api-1.6.4.jar

common—-gcore-stubs-1.2.2-4.3.0-132342. jar gcube-url-shortener-1.1.1-4.3.0-141256.jar itextpdf-5.5.6.7ja

r slfd4j-log4jl2-1.6.4.jar

commons-beanutils-1.8.3.jar guava-15.0.jar jackrabbit-api-2.8.1.Jjar storage-ma

nager-core-2.6.1-4.3.0-142241. jar

commons-beanutils—-core-1.8.3.jar gwt-bootstrap-2.3.2.0. jar jackrabbit-jcr-commons-2.13.4

.jar storage-manager-wrapper-2.4.1-4.3.0-142243.jar

commons-codec-1.8. jar gwt-material-1.4.1.jar jcr-2.0. jar tika-core-—

1.13.jar

commons—collections-3.2.1.Jjar gwt-material-themes-1.4.jar jfile-0.0.1.jar xm

lpull-1.1.3.1.Jjar

commons—-configuration-1.7.jar gwt-servlet-2.7.0.jar json-20090211. jar xpp3_m

in-1.1.4c.jar

common-scope-1.2.0-4.3.0-125717. jar home-library-2.7.0-4.3.0-144852. jar lombok-1.14.8. jar
xstream-1.4.9. jar

common-scope-maps—-1.0.6-4.3.0-142513. jar home-library-jcr-2.7.0-4.3.0-144852. jar mongo-java-driver

-3.1.1.7ar zip4j-1.3.2.jar

commons—-digester-1.8.1.jar home-library-model-1.6.0-4.3.0-144852. jar oak-blob-1.0.0. jar

On data.d4science there are:

gcube@data:~$ ls tomcat/webapps/workspace-explorer—-app/WEB-INF/1lib/

authorization-client-2.0.1-4.2.0-134803. jar commons—digester-1.8.1.jar home-library-jcr-2.6.0-4.
2.0-139807. jar oak-commons-1.0.0.jar

common-authorization-2.0.1-4.2.0-134803.jar commons—httpclient-3.1.Jjar home-library-model-1.5.0-
4.2.0-139210.jar oak-core-1.0.0.Jjar

common-configuration-scanner-1.0.0-4.2.0-125749.jar commons—-io-1.4.jar ic-client-1.0.1-4.2.0-126
578.jar oak—-jcr-1.0.0.Jjar

common-encryption-1.0.2-4.2.0-126699.jar commons—lang-2.6.Jjar imagej-1.47.jar
oak-mk-api-1.0.0.Jjar

common—-gcore-resources-1.3.2-4.2.0-132321. jar commons—-logging-1.0.4.jar itextpdf-5.5.6.jar
slfdj-api-1.6.4.jar
common-gcore-stubs-1.2.2-4.2.0-132342. jar discovery-client-1.0.1-4.2.0-125857. jar jackrabbit-api-2.
8.1.jar slf4j-log4jl2-1.6.4.jar
commons-beanutils-1.8.3.jar gcube-url-shortener-1.1.0-4.2.0-132153.jar Jjackrabbit-jcr-commons-2.
13.3.3jar storage-manager-core-2.6.0-4.2.0-134576.jar
commons-beanutils—-core-1.8.3.jar guava-15.0.jar jcr-2.0. jar storag
e-manager-wrapper-2.4.0-4.2.0-132749. jar
commons—-codec—-1.8. jar gwt-bootstrap-2.3.2.0.jar jfile-0.0.1.Jjar ti
ka-core-1.13.jar
commons—-collections-3.2.1.jar gwt-material-1.4.1.Jjar json-20090211. jar xm
lpull-1.1.3.1.Jjar
commons—-configuration-1.7.jar gwt-material-themes-1.4. jar lombok-1.14.8. jar
xpp3_min-1.1.4c. jar
common-scope-1.2.0-4.2.0-125717. jar gwt-servlet-2.7.0.Jjar mongo-java-driver-2.14.0.jar
xstream-1.4.4.jar
common-scope-maps—-1.0.5-4.2.0-134574.jar home-library-2.6.0-4.2.0-135068.jar oak-blob-1.0.0.jar

zip4j-1.3.2.7jar

In particular, It seems that the problem is due to different version of xstream library (1.4.4 vs 1.4.9)

#21 - Mar 24, 2017 10:45 AM - Roberto Cirillo

The workspace-explorer-app has not been released in 4.3.

The node data2 has been installed from scratch and so it contains the last version of workspace-explorer-app (1.0.0-4.3.0-134038).
data.d4science contains the version released in december (1.0.0-4.2.0-134038)

The problem here is that the last version of workspce-explorer-app doesn't work. | guess for a problem with its dependencies. It's needed to
investigate and understand why it doesn't work in 4.3.0.

#22 - Mar 24, 2017 11:09 AM - Francesco Mangiacrapa

| just checked HL libraries deployed on infra-gateway1:

life@infra-gateway1:~$ Is D4Science-production-gateway/gCube/lib/_home-library/
home-library-2.7.0-4.3.0-144852.jar home-library-jcr-2.7.0-4.3.0-144982.jar home-library-model-1.6.0-4.3.0-144852.jar
jackrabbit-jcr-commons-2.4.1 jar jackrabbit-jcr-rmi-custom-2.4.1.jar jcr-2.0.jar

Talking to @valentina.marioli@isti.cnr.it she confirmed that such versions are the right ones. They mismatching the versions deployed on
data2.d4science.

In particular, home-library-jcr-2.7.0-4.3.0-144852 jar is bugged and It must be updated to home-library-jcr-2.7.0-4.3.0-144982.jar
@roberto.cirillo@isti.cnr.it can you update such library to last version? We can perform testing again after this one..

#23 - Mar 24, 2017 11:36 AM - Roberto Cirillo

| can replace the lib only manually for the moment because the last version of workspace-explorer-app deployed on nexus have the same (bugged)
version.

Please, @francesco.mangiacrapa@isti.cnr.it could you try to perform a remote build of workspace-explorer-app on etics?

In the meanwhile I'm going to replace manually the lib for testing.

#24 - Mar 24, 2017 11:43 AM - Roberto Cirillo

I've replaced manually the home-library-jcr lib and the app seems to work now.

#25 - Mar 24, 2017 03:13 PM - Roberto Cirillo

PLease @francesco.mangiacrapa@isti.cnr.it if all is ok for you give us a feedback and reassign this ticket to Andrea

#26 - Mar 24, 2017 04:04 PM - Roberto Cirillo

- Priority changed from Normal to Urgent

#27 - Mar 24, 2017 04:53 PM - Francesco Mangiacrapa
- Assignee changed from Francesco Mangiacrapa to Andrea Dell'’Amico

- Priority changed from Urgent to Normal

All above links are working.. It's ok for me

#28 - Mar 24, 2017 05:17 PM - Andrea Dell'Amico

So. Can we proceed with the switch?
#29 - Mar 24, 2017 05:24 PM - Roberto Cirillo

yes we can.

#30 - Mar 24, 2017 05:27 PM - Andrea Dell'Amico

OK. In the next minutes I'll change the dns and haproxy configuration, this way:

e data.d4science.org will be a CNAME of infra-Ib.d4science.org
e the VM called data.d4science.org will be called data1-d4s.d4science.org

A restart of the VM will be needed, to change its name also on the hypervisor.

#31 - Mar 24, 2017 05:44 PM - Andrea Dell'Amico

Done. You should start to see requests going to data2-d4s.d4science.org.

#32 - Mar 24, 2017 06:11 PM - Roberto Cirillo

I've tried several times to download a file from the following link:
http://data.d4science.org/smp?fileName=FISHBASE_taxa.taf.gz&contentType=application$2Fx-gzip&smp-uri=smp%3A%2F
%$2FShare%2F89971b8f-a993-4e7b-9a95-8d774cb68a99%2FWork+Packages%$2FWP+6+-+Virtual+Research+Environments+Deploym
ent+and+Operation%2FT6.2+Resources+and+Tools%$2FCOMET-Species-Matching-Engine%$2FYASMEENS2F1.2.0%2FData%2FBiOnym
TAF$2FFISHBASE_taxa.taf.gz%3F5ezvFfBOLgb3YESYyI%$2FkesN4T$2BZD0mtmc%2F4sZ0vGMr101gx7k855802Q1vF0ezJi%$2FxIGDhnc0O9

JOkV1T8u6Db7GZ%$2F4ePgMws8Jxu8ierdajHBd20bUotEINOkyA$2Bs3HQuUMVYbva9MKgwlwahC7aUCyaltSZIQuKPu4pSjoDP8iox%2FX02bg
sokgB5v1H%$2FQUQgN

but it seems the request is always redirect to datai.

#33 - Mar 24, 2017 06:13 PM - Andrea Dell'Amico

OK, so some dns client is not yet up to date. Which dns servers are you using? the command host data.d4science.org should answer this way:

$ host data.d4science.org
data.d4science.org is an alias for infra-lb.d4science.org.
infra-1b.d4science.org has address 146.48.122.98

#34 - Mar 24, 2017 06:19 PM - Roberto Cirillo

I've the same answer maybe now the dns is updated. I'm going to perform other tests

#35 - Mar 24, 2017 07:16 PM - Andrea Dell'Amico
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

The reconfiguration is complete. data.d4science.org has become data1-d4s.d4science.org.

Both data1-d4s.d4science.org and data2-d4s.d4science.org are now after the load balancer, that get the requests directed to data.d4science.org.
https is available.

data1-d4s.d4science.org and data2-d4s.d4science.org have been firewalled: they can accept requests from the load balancers only, with 3
exceptions: the monitoring host and Roberto's and Francesco's desktops.
